#1 Alpha Fehler in Blender Publischer 2.25!!! von oldjim 27.03.2008 06:10

avatar

Ich wurde gefragt ob ich folgende Frage in den Englsichen Foren stellen könnte:
Wie der Screenshoot zeigt hat Publisher 2.25 ein Problem mit Alpha
Ich denke mal irgendwo eine Lösung für dieses Problem gelesen zu haben –aber ich
Kann es nicht mehr finden…
Wenn mir also jemand helfen kann währe dies super und würden 3D Power Tower Project http://www.3dpowertower.de/en/index.en.html noch besser machen...
Also es währe echt toll wenn dieses Problem gelöst werden könnte und dann
Auch noch als .exe funktionieren würde.
Danke für euere Hilfe und Ideen:

#2 RE: Alpha Fehler in Blender Publischer 2.25!!! von oldjim 27.03.2008 06:13

avatar

Dies ist die Übersezung der Antworten die ich auf den Englischen Foren bekommen habe:
****************

MPAN3:
Das ist weshalb wir Blender 2.45 brauchen
====================================================================

LetterRip:
Oder noch besser 2.46beta (oder 2.46 wenn des dann mal rauskommt…)
====================================================================

OldJim:
Ja aber das 3d Power Tower Project ist nun mal auf 2.25 basiert also brauche ich eine Lösung für diese Version
====================================================================

LetterRip:
Wenn du nicht jemand findest der the neue GE in the 2.25 rein render kann, gibt es wohl kaum etwas was du tun kannst…
====================================================================

OldJim
Aber ich bin mir sicher mal etwas gelesen zu habe wie dieses Problem in 2.25 gelöst werden kann… Ich nur leider diesen Bericht nicht mehr finden…
Hoffe jemand anderes kann sich auch an diesen Bericht erinnern und mir helfen… Das währe nämlich einfach genial und würde das 3D Power Tower Projekt
http://www.3dpowertower.de/en/index.en.html enorm verbessern.
Bitte helft mir…
====================================================================

C-106 Delta:
I denke nicht das es möglich ist mir blender 2.25 weill soviel ich weiss der Sorce Code nie veröffentlicht wurde… (Aber ich könnte wohl falsch liegen) Der einzige weg dieses Problem zu reparieren ist den Source Code von 2.25 zu manipulieren oder die Neue GE Render mit dem 2.25 Source code zu verschmelzen….
====================================================================

Red Hand:
Und wir habe dieses Problem fast immer – es wurde nie richtig repariert auch nicht in 2.45
====================================================================

MPAN3:
Vielleicht aber in 2.4x kannst du ganz einfach denn Baum so definieren das er 1bit Alpha braucht Test(Z-Transp im Material Panel) dies Lösst das Problem…
====================================================================

OldJim:

Ich habe diese Frag auch in http://www.gameblender.org gestellt und diese Antwort bekommen:
=====
Selektiere ein Objekt (mit einem anderen Objekt davor) gehe zu Objekt Buttons (F7), finde die Zeichnungs- Box (Draw box) und aktiviere X-Ray. Dies Ist glaube ich der Effekt den wir suchen….)
=====
Aber ich verstehe es nicht ganz… Funktioniert dies? And wenn ja warum und wie?
====================================================================

#3 RE: Alpha Fehler in Blender Publischer 2.25!!! von dieter1a 27.03.2008 16:03

Danke oldjim,

habe den Link wiedergefunden.
http://blenderartists.org/forum/show...#46;php?t=33355
In der Microdemo ist ein Script mit Namen Alpha.
Dort wird allerdings Blender importiert, was ja in der GE nichts zu suchen hat.
Das Script bewirkt auch was.
Aber es ist natürlich nicht in einer .exe zu benutzen.
Jetzt wäre es allerdings interessant, zu wissen, ob es in der GameLogic auch Module gibt mit denen man das Gleiche in der GE bewirkt.
Außerdem wäre ich Dir dankbar, wenn Du mir die Kommentare in dem Alpha-Script bei Gelegenheit übersetzen würdest.

Zitat
Selektiere ein Objekt (mit einem anderen Objekt davor) gehe zu Objekt Buttons (F7), finde die Zeichnungs- Box (Draw box) und aktiviere X-Ray. Dies Ist glaube ich der Effekt den wir suchen….)


X-Ray scheint es in 2.25 nicht zu geben.

MfG dieter1a

#4 RE: Alpha Fehler in Blender Publischer 2.25!!! von dieter1a 27.03.2008 19:53

Das Alpha-Script in Microdemo bewirkt nur ein Schärfen der Alphatexturränder.
0.99 max. und 0.0 unscharf wie Standard.
Hat keine Auswirkung auf die Reihenfolge der Alpha-Objekte.
Schade.

#5 RE: Alpha Fehler in Blender Publischer 2.25!!! von oldjim 28.03.2008 05:26

avatar

Dann bringt es wohl nichts mehr wenn ich dir die Komentare davon übersetzt?
Ich werde weiter auf den Englischen foren suchen ob jemand abhilfe kennt...
Ansonst, müssen wir wohl damit leben oder wir exportieren das PRoject früher oder später auf eine Akuelere Version von GE... Ich denke die Version die aus dem Apricot Projekt entsteht tönt sehr viel versprechend, die gäbe es dann als Stable version so ca ab oktober dieses Jahres...

#6 RE: Alpha Fehler in Blender Publischer 2.25!!! von dieter1a 28.03.2008 06:44

Eine neue Version würde bedeuten, alles bis ins Detail neu zu machen.
Das wäre katastrofal.
Kein Objekt kann übernommen werden.
Komprimierung ist in höheren Versionen nicht möglich und die Datei würde doppelt so groß.
Dann müssen wir eben besser werden, und alles was nicht sichtbar für die Cam ist ausschalten.
Wir können auch nicht davon ausgehen, dass jeder PC-Besitzer auch eine Grafikkarte hat,die die entsprechenden Shader unterstützt.

2.25 bleibt, und wir müssen dieses Proplem so gut es geht umgehen.

Wäre schön raus zu kriegen, welche Funktionen oder Module für Alpha in der GE zuständig sind, und wie sie funktionieren. Übergabeparameter, Eigenschaften etc.

Möglicherweise kann man dann Projektbezogen was machen.

Bis jetzt haben wir noch alles hingekriegt.
Alles ist eine Frage der Zeit und der Ausdauer.

Die Positionierung der Darstellung von Alphaobjekten muss doch in irgendwelchen Modulen beeinflussbar sein.
Das müssen wir rauskriegen, wie die verflixten Dinger heißen.
Dann können wir auch produktspezivisch Einstellungen vornehmen.
Unser Motto war und ist, geht nicht, gibts nicht.
Das war schon vor vier Jahren so und bleibt auch so.
Keine Blenderproduktion hat es seit dem Scheitern der Webanbindung mit dem Publisher soweit geschafft wie der 3D Power Tower, und das Alphaproblem wird uns nicht umwerfen.
2.25 sollte ursprünglich 3D Webprojekte ermöglichen, jetzt tut es genau das!

Außerdem besteht das Alphaproblem wie man sagt, ja immer noch.

Also, keine Pferde scheu machen, und frohen Mutes weiter dran arbeiten.

3D Powertower ist, und bleibt eine 3D Anwendung für PC`s der Mittelklasse.

Mit freundlichen Grüßen

dieter1a

#7 RE: Alpha Fehler in Blender Publischer 2.25!!! von oldjim 29.03.2008 12:11

avatar

Gratulation... Und weiter so... Ein weiteres Problem wurde soeben dur dein Optimismus und ergeiz gelösst !!!!
Siehe:
f13t39-alpha-fehler-in-2-25-ist-behoben.html
oder genaueres auf BlendPolis:
http://blendpolis.de/f/viewtopic.php?t=17657

Xobor Ein Kostenloses Forum | Einfach ein Forum erstellen
Datenschutz